apiVersion: apps/v1
kind: Deployment
metadata:
  name: redis
  namespace:  migrate
  labels:
    app: redis
spec:
  replicas: 1
  selector:
    matchLabels:
      app: redis
  template:
    metadata:
      labels:
        app: redis
    spec:
      containers:
        - name: redis-container
          image: redis:5.0.4
          command:
            - redis-server
            - "/redis-master/redis.conf"
          env:
          - name: MASTER
            value: "true"
          resources:
            # Specifying the resourses that we might need for our application
            limits:
              memory: "64Mi"
              cpu: "128m"
          ports:
            - containerPort: 6379
          volumeMounts:
          - name: data
            mountPath: /redis-master-data
          - name: config
            mountPath: /redis-master
      volumes:
        - name: data
          emptyDir: {}
        - name: config
          configMap:
            name: example-redis-config
            items:
            - key: redis-config
              path: redis.conf